Subject: Re: e1000 fails to load sometimes: The EEPROM Checksum Is Not Valid

From: Auke Kok <[email-masked]>
Date: Thu, 13 Jul 2006 13:59:39 -0700

Jeremy Fitzhardinge wrote:
> Auke Kok wrote:
>> Sorry for the long wait, there's some new information on this that 
>> just this morning arrived.
> Thanks for the update.
> 
>> The latest EEPROM's from Lenovo (obtainable from their websites as 
>> .iso) seem to have this feature turned off, which resolves the issue.
> 
> Do you have a specific link to this update?  I can't see anything 
> obvious on their site relating to this.

See:

http://www-307.ibm.com/pc/support/site.wss/document.do?lndocid=MIGR-63027

links to the latest .iso image.

Note: I haven't tried the 1.07 update myself. I had to *downgrade* our test 
system to actually expose the bug.

Cheers,

Auke